Subject: bug#73310: tree-sitter makes cpu 100%

From: vinurs <[email-masked]>
Date: Sun, 10 Nov 2024 19:22:24 +0800

Hi Yuan,The release of tree-sitter version 0.24.4 is out, and I tested it; this issue still persists.  ------------Sincerely,Haiyuan Zhang, VinursBinaryBrain LLC 开 2024年9月20日 在 14:51:13, Yuan Fu ([email-masked]) 写到:  

> On Sep 19, 2024, at 5:53 AM, vinurs <[email-masked]> wrote:
>  
> Hi Yuan,
> Are you able to reproduce this issue?

Yes, I can reproduce this. In fact, it’s not tree-sitter-clojure, but tree-sitter-markdown-inline who caused the hang. I was able to reproduce the hang independently without Emacs. This seems to be the same bug as in https://github.com/tree-sitter/tree-sitter/issues/3620. I’ll update on the GitHub issue with this new repo later.

Yuan